Bug 1258101 - python build failing
python build failing
Status: CLOSED CURRENTRELEASE
Product: Copr
Classification: Community
Component: backend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 23:56 EDT by Orion Poplawski
Modified: 2016-01-29 14:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 14:09:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-08-28 23:56:23 EDT
Description of problem:

My python copr builds are failing.  I suspect perhaps due to some background process still running.

https://copr-be.cloud.fedoraproject.org/results/orion/python_provide/fedora-rawhide-x86_64/00111872-python/mockchain.log.gz

koji seems to handle this.  I can't figure out what process is still running.

How reproducible:
3 builds so far have failed
Comment 1 Orion Poplawski 2015-08-28 23:57:46 EDT
INFO: unmounting tmpfs.
WARNING: tmpfs-plugin: exception while umounting tmpfs! (cwd: /)
WARNING: tmpfs-plugin: exception while force umounting tmpfs! (cwd: /)
ERROR: Exception(/tmp/build_package_repo/python/python-2.7.10-7.fc24.src.rpm) Config(fedora-rawhide-x86_64) 37 minutes 24 seconds
INFO: Results and/or logs in: /var/tmp/mockremote-xOgTk/build/results/fedora-rawhide-x86_64/python-2.7.10-7.fc24
INFO: Cleaning up build root ('cleanup_on_failure=True')
Start: clean chroot
Traceback (most recent call last):
  File "/usr/sbin/mock", line 832, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 649, in main
    run_command(options, args, config_opts, commands, buildroot, state)
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 729, in run_command
    do_rebuild(config_opts, commands, buildroot, args)
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 495, in do_rebuild
    post=post_build, clean=clean)
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 460, in rebuild_generic
    commands.clean()
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/backend.py", line 72, in clean
    self.buildroot.delete()
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/buildroot.py", line 549, in delete
    util.rmtree(self.basedir, selinux=self.selinux)
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 134, in rmtree
    rmtree(fullname, selinux=selinux, exclude=exclude)
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 84, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 143, in rmtree
    os.rmdir(path)
OSError: [Errno 16] Device or resource busy: '/var/lib/mock/fedora-rawhide-x86_64-mockbuilder-11841/root'
[2015-08-28 23:24:21,616][  INFO][PID:27635] Start retrieve results for: BuildJob<id: 111872, owner: orion, project: python_provide, git branch: master, git_hash: bd5ecfd3672ce443d28a87bbc7c6b9c77544dcd0, status: 3 >
[2015-08-28 23:24:22,327][  INFO][PID:27635] End retrieve results for: BuildJob<id: 111872, owner: orion, project: python_provide, git branch: master, git_hash: bd5ecfd3672ce443d28a87bbc7c6b9c77544dcd0, status: 3 >
[2015-08-28 23:24:22,328][  INFO][PID:27635] End Build: BuildJob<id: 111872, owner: orion, project: python_provide, git branch: master, git_hash: bd5ecfd3672ce443d28a87bbc7c6b9c77544dcd0, status: 3 >
Comment 2 clime 2016-01-28 09:23:00 EST
Can you resubmit one of the failed builds to confirm that it is still the case? I think It will be solved by now.
Comment 3 Orion Poplawski 2016-01-29 14:09:58 EST
Seems to build fine now.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.